using Newtonsoft.Json;

namespace SGModule.NetKit {
    public class RequestLoginData {
        [JsonProperty("app_version")] public string AppVersion;
        [JsonProperty("channel")] public string Channel;
        [JsonProperty("device_id")] public string DeviceID;
        [JsonProperty("pack_name")] public string PackName;
        [JsonProperty("sim")] public bool Sim;
    }

    public class RequestTokenData {
        [JsonProperty("expires_at")] public long ExpiresAt;
        [JsonProperty("token")] public string Token;
    }
}
